Mojo::Cookie::Response(3)

NAME
Mojo::Cookie::Response - HTTP response cookie

SYNOPSIS
  use Mojo::Cookie::Response;

  my $cookie = Mojo::Cookie::Response->new;
  $cookie->name('foo');
  $cookie->value('bar');
  say "$cookie";

DESCRIPTION
Mojo::Cookie::Response is a container for HTTP response cookies, based on RFC 6265 <https://tools.ietf.org/html/rfc6265>.

ATTRIBUTES
Mojo::Cookie::Response inherits all attributes from Mojo::Cookie and implements the following new ones.

  domain
  my $domain = $cookie->domain;
  $cookie    = $cookie->domain('localhost');

Cookie domain.

  expires
  my $expires = $cookie->expires;
  $cookie     = $cookie->expires(time + 60);

Expiration for cookie.

  host_only
  my $bool = $cookie->host_only;
  $cookie  = $cookie->host_only($bool);

Host-only flag, indicating that the canonicalized request-host is identical to the cookie's "domain".

  httponly
  my $bool = $cookie->httponly;
  $cookie  = $cookie->httponly($bool);

HttpOnly flag, which can prevent client-side scripts from accessing this cookie.

  max_age
  my $max_age = $cookie->max_age;
  $cookie     = $cookie->max_age(60);

Max age for cookie.

  path
  my $path = $cookie->path;
  $cookie  = $cookie->path('/test');

Cookie path.

  samesite
  my $samesite = $cookie->samesite;
  $cookie      = $cookie->samesite('Lax');

SameSite value. Note that this attribute is EXPERIMENTAL because even though most commonly used browsers support the feature, there is no specification yet besides this draft <https://tools.ietf.org/html/draft-west-first-party-cookies-07>.

  secure
  my $bool = $cookie->secure;
  $cookie  = $cookie->secure($bool);

Secure flag, which instructs browsers to only send this cookie over HTTPS connections.

METHODS
Mojo::Cookie::Response inherits all methods from Mojo::Cookie and implements the following new ones.

  parse
  my $cookies = Mojo::Cookie::Response->parse('f=b; path=/');

Parse cookies.

  to_string
  my $str = $cookie->to_string;

Render cookie.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.